Pending

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Pending
Eldbus

## Functions
void | eldbus_pending_data_set (Eldbus_Pending *pending, const char *key, const void *data)
| Set data to a Eldbus_Pending object. More...
void * | eldbus_pending_data_get (const Eldbus_Pending *pending, const char *key)
| Get the data set to a Eldbus_Pending object. More...
void * | eldbus_pending_data_del (Eldbus_Pending *pending, const char *key)
| Delete the data set to a Eldbus_Pending object. More...
void | eldbus_pending_cancel (Eldbus_Pending *pending)
| Cancel the pending message. More...
const char * | eldbus_pending_destination_get (const Eldbus_Pending *pending)
| Get the destination of the pending message. More...
const char * | eldbus_pending_path_get (const Eldbus_Pending *pending)
| Get the path of the pending message. More...
const char * | eldbus_pending_interface_get (const Eldbus_Pending *pending)
| Get the interface of the pending message. More...
const char * | eldbus_pending_method_get (const Eldbus_Pending *pending)
| Get the method of the pending message. More...
void | eldbus_pending_free_cb_add (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Add a callback function to be called when pending will be freed. More...
void | eldbus_pending_free_cb_del (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Remove callback registered in eldbus_pending_free_cb_add(). More...

## Detailed Description

## Function Documentation

void eldbus_pending_data_set | ( | Eldbus_Pending * | pending,
|  | const char * | key,
|  | const void * | data
| ) |  |

Set data to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.
  data | The data to set to the Eldbus_Pending object.

Referenced by eldbus_connection_send(), eldbus_object_send(), and eldbus_proxy_interface_get().

void* eldbus_pending_data_get | ( | const Eldbus_Pending * | pending,
|  | const char * | key
| ) |  |

Get the data set to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.

Returns
  The data set to the Eldbus_Pending object.

void* eldbus_pending_data_del | ( | Eldbus_Pending * | pending,
|  | const char * | key
| ) |  |

Delete the data set to a Eldbus_Pending object.

Parameters

  pending | The Eldbus_Pending object on which the data is set.
  key | A string corresponding to the key associated with the data.

References DBG, EINA_MAGIC_NONE, EINA_MAGIC_SET, eina_stringshare_del(), and eldbus_message_unref().

Referenced by eldbus_object_path_get(), and eldbus_proxy_interface_get().

void eldbus_pending_cancel | ( | Eldbus_Pending * | pending | ) |

Cancel the pending message.

Parameters

  pending | The Eldbus_Pending object corresponding to the pending message.

References DBG, ELDBUS_ERROR_PENDING_CANCELED, and eldbus_message_error_new().

Referenced by eldbus_connection_ref(), eldbus_proxy_properties_changed_callback_add(), eldbus_shutdown(), ethumb_client_generate_cancel(), and ethumb_client_generate_cancel_all().

const char* eldbus_pending_destination_get | ( | const Eldbus_Pending * | pending | ) |

Get the destination of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the destination of the message.

Referenced by eldbus_connection_ref(), and eldbus_init().

const char* eldbus_pending_path_get | ( | const Eldbus_Pending * | pending | ) |

Get the path of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the path of the message.

Referenced by eldbus_connection_ref(), and eldbus_init().

const char* eldbus_pending_interface_get | ( | const Eldbus_Pending * | pending | ) |

Get the interface of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the interface of the message.

Referenced by eldbus_connection_ref(), and eldbus_init().

const char* eldbus_pending_method_get | ( | const Eldbus_Pending * | pending | ) |

Get the method of the pending message.

Parameters

  pending | The Eldbus_Pending object.

Returns
  A string corresponding to the method of the message.

Referenced by eldbus_connection_ref(), and eldbus_init().

void eldbus_pending_free_cb_add | ( | Eldbus_Pending * | pending,
|  | Eldbus_Free_Cb | cb,
|  | const void * | data
| ) |  |

Add a callback function to be called when pending will be freed.

Parameters

  pending | The Eldbus_Pending object on which the callback is registered.
  cb | The callback to register.
  data | The data to pass to the callback.

void eldbus_pending_free_cb_del | ( | Eldbus_Pending * | pending,
|  | Eldbus_Free_Cb | cb,
|  | const void * | data
| ) |  |

Remove callback registered in eldbus_pending_free_cb_add().

Parameters

  pending | The Eldbus_Pending object on which the callback was registered.
  cb | The callback that was registered.
  data | The data passed to the callback.